/****************************************************************************
**  Copyright (C) 2004                                                     **
**  University of Tennessee, Innovative Computing Laboratory               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/


#ifndef CUBE_AGGR_MODE_DLG_H
#define CUBE_AGGR_MODE_DLG_H   

/*
 *----------------------------------------------------------------------------
 *
 * class AggrModeDlg
 *
 *----------------------------------------------------------------------------
 */

#include <iostream>
#include <string>

#include "wx/wxprec.h"
#include "wx/wx.h"

#define ID_AGGR_HELP      1

namespace cube {

  class AggrModeDlg : public wxDialog {
  
  public:
    AggrModeDlg(wxWindow* parent);

    void OnHelp();
    int get_selection();


  DECLARE_EVENT_TABLE()
  

  private:
    wxRadioBox* radios;
  };

}

#endif
