/****************************************************************************
**  Copyright (C) 2004                                                     **
**  University of Tennessee, Innovative Computing Laboratory               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/


#ifndef CUBE_BROWSER_H
#define CUBE_BROWSER_H   

/*
 *----------------------------------------------------------------------------
 *
 * class Browser
 *
 *----------------------------------------------------------------------------
 */

#include <iostream>
#include <string>

#include "wx/wxprec.h"
#include "wx/wx.h"
#include "wx/html/htmlwin.h"

namespace cube {
  class Browser : public wxFrame {
  public:
    Browser(wxWindow* parent);
    ~Browser();

    bool LoadPage(std::string url);
    void SetPage(const char* s);
    void set_big_size(bool big);
    
    void OnOK();

    DECLARE_EVENT_TABLE()
      

  private:
    wxHtmlWindow* html;
  };
}

#endif
