/****************************************************************************
**  Copyright (C) 2004                                                     **
**  University of Tennessee, Innovative Computing Laboratory               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

#ifndef CUBE_LOCATION_H
#define CUBE_LOCATION_H   

/*
 *----------------------------------------------------------------------------
 *
 * class Location
 *
 *----------------------------------------------------------------------------
 */

#include "Vertex.h"

namespace cube {

  class Location : public Vertex {
    
  public:
    Location(std::string name) : name(name) {}
    std::string get_name() const { return name; }

  private:
    std::string name;    

  };
  
}

#endif
