# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.
import _earl
def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0


class EventTrace(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, EventTrace, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, EventTrace, name)
    def __init__(self,*args):
        _swig_setattr(self, EventTrace, 'this', apply(_earl.new_EventTrace,args))
        _swig_setattr(self, EventTrace, 'thisown', 1)
    def get_name(*args): return apply(_earl.EventTrace_get_name,args)
    def get_nevents(*args): return apply(_earl.EventTrace_get_nevents,args)
    def get_nfiles(*args): return apply(_earl.EventTrace_get_nfiles,args)
    def get_nregs(*args): return apply(_earl.EventTrace_get_nregs,args)
    def get_ncsites(*args): return apply(_earl.EventTrace_get_ncsites,args)
    def get_nmets(*args): return apply(_earl.EventTrace_get_nmets,args)
    def get_nmachs(*args): return apply(_earl.EventTrace_get_nmachs,args)
    def get_nnodes(*args): return apply(_earl.EventTrace_get_nnodes,args)
    def get_nprocs(*args): return apply(_earl.EventTrace_get_nprocs,args)
    def get_nthrds(*args): return apply(_earl.EventTrace_get_nthrds,args)
    def get_nlocs(*args): return apply(_earl.EventTrace_get_nlocs,args)
    def get_ncoms(*args): return apply(_earl.EventTrace_get_ncoms,args)
    def get_ncarts(*args): return apply(_earl.EventTrace_get_ncarts,args)
    def get_file(*args): return apply(_earl.EventTrace_get_file,args)
    def get_reg(*args): return apply(_earl.EventTrace_get_reg,args)
    def get_csite(*args): return apply(_earl.EventTrace_get_csite,args)
    def get_met(*args): return apply(_earl.EventTrace_get_met,args)
    def get_mach(*args): return apply(_earl.EventTrace_get_mach,args)
    def get_node(*args): return apply(_earl.EventTrace_get_node,args)
    def get_proc(*args): return apply(_earl.EventTrace_get_proc,args)
    def get_thrd(*args): return apply(_earl.EventTrace_get_thrd,args)
    def get_com(*args): return apply(_earl.EventTrace_get_com,args)
    def get_cart(*args): return apply(_earl.EventTrace_get_cart,args)
    def get_coords(*args): return apply(_earl.EventTrace_get_coords,args)
    def get_loc(*args): return apply(_earl.EventTrace_get_loc,args)
    def event(*args): return apply(_earl.EventTrace_event,args)
    def is_type(*args): return apply(_earl.EventTrace_is_type,args)
    def stack(*args): return apply(_earl.EventTrace_stack,args)
    def istack(*args): return apply(_earl.EventTrace_istack,args)
    def queue(*args): return apply(_earl.EventTrace_queue,args)
    def mpicoll(*args): return apply(_earl.EventTrace_mpicoll,args)
    def ompcoll(*args): return apply(_earl.EventTrace_ompcoll,args)
    def calltree(*args): return apply(_earl.EventTrace_calltree,args)
    def ctroots(*args): return apply(_earl.EventTrace_ctroots,args)
    def callpath(*args): return apply(_earl.EventTrace_callpath,args)
    def ctchildren(*args): return apply(_earl.EventTrace_ctchildren,args)
    def ctvisits(*args): return apply(_earl.EventTrace_ctvisits,args)
    def ctsize(*args): return apply(_earl.EventTrace_ctsize,args)
    def __del__(self, destroy= _earl.delete_EventTrace):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __repr__(self):
        return "<C EventTrace instance at %s>" % (self.this,)

class EventTracePtr(EventTrace):
    def __init__(self,this):
        _swig_setattr(self, EventTrace, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, EventTrace, 'thisown', 0)
        _swig_setattr(self, EventTrace,self.__class__,EventTrace)
_earl.EventTrace_swigregister(EventTracePtr)

class P2Statistic(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, P2Statistic, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, P2Statistic, name)
    def __init__(self,*args):
        _swig_setattr(self, P2Statistic, 'this', apply(_earl.new_P2Statistic,args))
        _swig_setattr(self, P2Statistic, 'thisown', 1)
    def add(*args): return apply(_earl.P2Statistic_add,args)
    def reset(*args): return apply(_earl.P2Statistic_reset,args)
    def count(*args): return apply(_earl.P2Statistic_count,args)
    def mean(*args): return apply(_earl.P2Statistic_mean,args)
    def med(*args): return apply(_earl.P2Statistic_med,args)
    def min(*args): return apply(_earl.P2Statistic_min,args)
    def max(*args): return apply(_earl.P2Statistic_max,args)
    def q25(*args): return apply(_earl.P2Statistic_q25,args)
    def q75(*args): return apply(_earl.P2Statistic_q75,args)
    def sum(*args): return apply(_earl.P2Statistic_sum,args)
    def var(*args): return apply(_earl.P2Statistic_var,args)
    def __del__(self, destroy= _earl.delete_P2Statistic):
        try:
            if self.thisown: destroy(self)
        except: pass
    def __repr__(self):
        return "<C P2Statistic instance at %s>" % (self.this,)

class P2StatisticPtr(P2Statistic):
    def __init__(self,this):
        _swig_setattr(self, P2Statistic, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, P2Statistic, 'thisown', 0)
        _swig_setattr(self, P2Statistic,self.__class__,P2Statistic)
_earl.P2Statistic_swigregister(P2StatisticPtr)


