/****************************************************************************
**  KOJAK                                                                  **
**  http://www.fz-juelich.de/zam/kojak/                                    **
*****************************************************************************
**  Copyright (c) 2003-2004                                                **
**  University of Tennessee                                                **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

#include "Callsite.h"

#include "Function.h"
#include "Module.h"


ostream& operator<<(ostream& out, const Callsite& csite)
{
  out << "CALLSITE" << " "
      << csite.id << " " 
      << csite.mod->id << " " 
      << csite.line << " " 
      << csite.caller->id << " "
      << csite.callee->id;

  out << endl;

  return out;
}
