/****************************************************************************
**  KOJAK                                                                  **
**  http://www.fz-juelich.de/zam/kojak/                                    **
*****************************************************************************
**  Copyright (C) 1998-2003                                                **
**  Forschungszentrum Juelich, Zentralinstitut fuer Angewandte Mathematik  **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

#ifndef POMP2_GRP_H
#define POMP2_GRP_H

#include "elg_pomp2.h"

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Determine POMP Group
 */
extern enum pomp_group_t pomp_group(char *str);

/*
 * Determine POMP Group Value
 */
extern enum pomp_grpval_t pomp_grpval(char *str);

/*
 * Determine POMP Group Environment
 */
extern enum pomp_grpval_t pomp_grp_level[];

extern void pomp_init_groups(void);

#ifdef __cplusplus
}
#endif

#endif
