/****************************************************************************
**  Copyright (C) 2004                                                     **
**  University of Tennessee, Innovative Computing Laboratory               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

/*******************************
				
     FlatRegionTree.cpp	
					
********************************/

#include <iostream>
#include <fstream>

#include "Tree.h"
#include "MidTree.h"
#include "FlatTree.h"
#include "LocationTree.h"
#include "FlatRegionTree.h"

#include "PresenterApp.h"
#include "PresenterFrame.h"
#include "SourceCodeDlg.h"
#include "GUIData.h"
#include "CubeCollect.h"

#include "Cnode.h"
#include "Callsite.h"
#include "Region.h"
#include "Module.h"

using namespace std;
using namespace cube;

FlatRegionTree::FlatRegionTree(wxWindow* parent) : FlatTree(parent) {

}


