/****************************************************************************
**  Copyright (C) 2004                                                     **
**  University of Tennessee, Innovative Computing Laboratory               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

/***************************************
					
       FlatRegionTree class
     
     
***************************************/


#ifndef CUBE_FLAT_REGION_TREE_H
#define CUBE_FLAT_REGION_TREE_H

#include <string>

#include "wx/wxprec.h"
#include "wx/wx.h"
#include "wx/treectrl.h"
#include "FlatTree.h"

namespace cube {
  class Region;

  class FlatRegionTree : public FlatTree {
  public:
    FlatRegionTree (wxWindow* parent); 
    int  mydepth   (wxTreeItemId id) { return FlatTree::mydepth(id)+1 ; }
    
  private:     


  };
  
}

#endif
